from pydantic import BaseModel
from typing import Union, List
from .expense import ExpensePublic, SettlementPublic

class FinancialActivityResponse(BaseModel):
    activities: List[Union[ExpensePublic, SettlementPublic]]

    class Config:
        orm_mode = True 